- name: Install packages
  package:
    name:
      - gnupg
      - pcsc-tools
      - ccid
      #      - linux_libusb
      - pinentry
    state: present

- name: Install packages
  when: install_graphics
  package:
    name:
      - pinentry-qt5
    state: present

- name: Create directories
  file:
    name: "{{ item }}"
    state: directory
    mode: 0755
    owner: root
    group: wheel
  loop:
    - /usr/local/etc/devd

- name: Install service configuration
  copy:
    src: "files/{{ item }}_rc.conf"
    dest: "/etc/rc.conf.d/{{ item }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - pcscd

- name: Install devd Configuration
  copy:
    src: "files/{{ item.src }}_devd.conf"
    dest: "/usr/local/etc/devd/{{ item.dest|default(item.src) }}.conf"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - src: pcscd
